package com.jeeplus.assess.program.configuration.projectDict.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.program.configuration.fileDict.domain.ProgramFileDict;
import com.jeeplus.assess.program.configuration.projectDict.domain.ProgramProjectDict;
import com.jeeplus.assess.program.configuration.projectDict.domain.vo.FileDictVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectDictMapper extends BaseMapper<ProgramProjectDict> {

    List<FileDictVo> parentList();

    List<FileDictVo> list(@Param("type") String type, @Param("sort") String sort);

    List<ProgramFileDict> getFileParentList(@Param("id") String id, @Param("fileIds") List<String> fileIds);

    List<ProgramFileDict> getFileList(@Param("id") String id, @Param("fileIds") List<String> fileIds);

    FileDictVo findById(@Param("id") String id);
}
